#!/bin/sh -e
# Copyright 2005 by Willi Mann <willi@wm1.at>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA  02111-1307  USA.

# Description:
# This small shell script will remove all service configuration files
# for the logwatch service scripts that have no existing script in the
# right location. This script can be run if logwatch complains about 
# missing service scripts.

SERVICECONFPATH=/etc/logwatch/conf/services

cd $SERVICECONFPATH || exit 1

for i in *.conf; do
	SERVICENAME=`echo $i | sed -e "s|^.*\/||" -e "s/.conf\s*$//"`
	if ! test -f /usr/share/logwatch/scripts/services/$SERVICENAME; then
		echo "deleting $SERVICECONFPATH/$i"
		rm -f $i
	fi
done


